Bug 135911 - FILEOPEN XLSX Shape width rounding error
Summary: FILEOPEN XLSX Shape width rounding error
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Shapes
  Show dependency treegraph
 
Reported: 2020-08-19 09:43 UTC by NISZ LibreOffice Team
Modified: 2022-10-22 04:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the problem in Calc – shape with 0 degrees rotation (185.79 KB, image/png)
2020-08-19 09:43 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc – shapes with 270 degrees rotation (182.87 KB, image/png)
2020-08-19 09:43 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-19 09:43:01 UTC
Created attachment 164453 [details]
Screenshot of the problem in Calc – shape with 0 degrees rotation

Attachment #164368 [details] contains some drawing shapes that demonstrate rotated shapes.
When opening in Calc these open with slightly larger width values compared to Excel, while their height is correct.


Steps to reproduce:
    1. Open Attachment #164368 [details] from bug #135828
    2. Observe shape width values in the sidebar/Position and Size dialog

Actual results:
The width of “Nyíl: felfelé mutató 3” (0 degrees rotation is 0.83 cm instead of 0.82 cm.
The width [swapped here compared to Excel] of “Nyíl: felfelé mutató 6” (Calc 270 degrees rotation is 5.52 cm instead of 5.5 cm.
The width of “Nyíl: felfelé mutató 9” (180 degrees rotation) is 0.83 cm instead of 0.82 cm.
The width of “Nyíl: felfelé mutató 12” (Calc 90 degrees rotation) is 5.52 cm instead of 5.5 cm.

The other shapes have crazy height and width values displayed, that is a followup bugs topic.

Expected results:
All the shapes should keep their width values on opening the file.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also in
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: en-US (hu_HU); Felület nyelve: hu-HU
Calc: CL
Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Slightly smaller values in:
Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)
Comment 1 NISZ LibreOffice Team 2020-08-19 09:43:28 UTC
Created attachment 164454 [details]
Screenshot of the problem in Calc – shapes with 270 degrees rotation
Comment 2 Regina Henschel 2020-10-21 11:31:55 UTC
(In reply to NISZ LibreOffice Team from comment #0)
> 
> The other shapes have crazy height and width values displayed, that is a
> followup bugs topic.

Keep in mind, that the UI does show the logic rectangle but the snap rectangle. You need to use a macro to examine the logic rectangle.
Comment 3 QA Administrators 2022-10-22 04:03:29 UTC
Dear NISZ LibreOffice Team,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug